CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
SystemConfiguration Class Reference

## Public Member Functions
| SystemConfiguration ($DB=NULL)
| TopLinkString ($NewValue=DB_NOVALUE)
| TopLinkBeginLetter ($NewValue=DB_NOVALUE)
| TopLinkEndLetter ($NewValue=DB_NOVALUE)
| AdminEmail ($NewValue=DB_NOVALUE)
| PasswordMailSubject ($NewValue=DB_NOVALUE)
| PasswordMailBody ($NewValue=DB_NOVALUE)
| PasswordResetMailSubject ($NewValue=DB_NOVALUE)
| PasswordResetMailBody ($NewValue=DB_NOVALUE)
| MailChangeMailSubject ($NewValue=DB_NOVALUE)
| MailChangeMailBody ($NewValue=DB_NOVALUE)
| PortalName ($NewValue=DB_NOVALUE)
| DefaultActiveUI ($NewValue=DB_NOVALUE)
| CurrentTheme ($NewValue=DB_NOVALUE)
| DefaultCharacterSet ($NewValue=DB_NOVALUE)
| SearchTermsRequired ($NewValue=DB_NOVALUE)
| ShowNumResourcesEnabled ($NewValue=DB_NOVALUE)
| AnnouncementsEnabled ($NewValue=DB_NOVALUE)
| ForumsEnabled ($NewValue=DB_NOVALUE)
| AllowMultipleUIsEnabled ($NewValue=DB_NOVALUE)
| ResourceLaunchesNewWindowEnabled ($NewValue=DB_NOVALUE)
| UserAgentsEnabled ($NewValue=DB_NOVALUE)
| ResourceRatingsEnabled ($NewValue=DB_NOVALUE)
| ResourceCommentsEnabled ($NewValue=DB_NOVALUE)
| AccessibilityWizardEnabled ($NewValue=DB_NOVALUE)
| ReleaseFlagApproved ($NewValue=DB_NOVALUE)
| SearchDBEnabled ($NewValue=DB_NOVALUE)
| RecommenderDBEnabled ($NewValue=DB_NOVALUE)
| OAISQEnabled ($NewValue=DB_NOVALUE)
| NumAnnounceOnHomePage ($NewValue=DB_NOVALUE)
| NumResourcesOnHomePage ($NewValue=DB_NOVALUE)
| LegalNotice ($NewValue=DB_NOVALUE)
| DefaultRecordsPerPage ($NewValue=DB_NOVALUE)
| NumClassesPerBrowsePage ($NewValue=DB_NOVALUE)
| NumColumnsPerBrowsePage ($NewValue=DB_NOVALUE)
| BrowsingFieldId ($NewValue=DB_NOVALUE)
| OaiIdDomain ($NewValue=DB_NOVALUE)
| OaiIdPrefix ($NewValue=DB_NOVALUE)
| OaiEarliestDate ($NewValue=DB_NOVALUE)
| OaiDateGranularity ($NewValue=DB_NOVALUE)
| SiteKeywords ($NewValue=DB_NOVALUE)
| AboutText ($NewValue=DB_NOVALUE)
| ContactName ($NewValue=DB_NOVALUE)
| ContactEmail ($NewValue=DB_NOVALUE)
| Organization ($NewValue=DB_NOVALUE)
| OrganizationType ($NewValue=DB_NOVALUE)
| SiteType ($NewValue=DB_NOVALUE)
| OkayToListSite ($NewValue=DB_NOVALUE)
| LastRegisteredOn ($NewValue=DB_NOVALUE)
| AddAWStatsScript ($NewValue=DB_NOVALUE)
| AddGoogleAnalytics ($NewValue=DB_NOVALUE)
| GoogleAnalyticsCode ($NewValue=DB_NOVALUE)
| DisplayLimitsByDefault ($NewValue=DB_NOVALUE)
| DefaultSortField ($NewValue=DB_NOVALUE)
| FieldDisplayFolder ($NewValue=DB_NOVALUE)
| FieldEditFolder ($NewValue=DB_NOVALUE)
| CollapseMetadataFieldGroups ($NewValue=DB_NOVALUE)
| LogoFileName ()
| LogoAltText ()
| LogoWidth ()
| LogoHeight ()
| HasRegistered ()
| TitleField ($NewValue=DB_NOVALUE)
| DescriptionField ($NewValue=DB_NOVALUE)
| UrlField ($NewValue=DB_NOVALUE)
| ScreenshotField ($NewValue=DB_NOVALUE)
| SecureLogin ($NewValue=DB_NOVALUE)
| EmailLineEnding ($NewValue=DB_NOVALUE)
| DefaultUserPrivs ($NewValue=DB_NOVALUE)
| Value ($FieldName, $NewValue=DB_NOVALUE)

## Public Attributes
const | UNCHANGED_VALUE = DB_NOVALUE
| UNCHANGED_VALUE used to determine if a value is unchanged.

## Detailed Description

Definition at line 3 of file SystemConfiguration.php.

## Member Function Documentation

SystemConfiguration::AboutText | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 71 of file SystemConfiguration.php.

SystemConfiguration::AccessibilityWizardEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 43 of file SystemConfiguration.php.

SystemConfiguration::AddAWStatsScript | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 80 of file SystemConfiguration.php.

SystemConfiguration::AddGoogleAnalytics | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 81 of file SystemConfiguration.php.

SystemConfiguration::AdminEmail | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 23 of file SystemConfiguration.php.

SystemConfiguration::AllowMultipleUIsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 38 of file SystemConfiguration.php.

SystemConfiguration::AnnouncementsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 36 of file SystemConfiguration.php.

SystemConfiguration::BrowsingFieldId | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 65 of file SystemConfiguration.php.

SystemConfiguration::CollapseMetadataFieldGroups | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 87 of file SystemConfiguration.php.

SystemConfiguration::ContactEmail | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 74 of file SystemConfiguration.php.

SystemConfiguration::ContactName | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 73 of file SystemConfiguration.php.

SystemConfiguration::CurrentTheme | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 32 of file SystemConfiguration.php.

SystemConfiguration::DefaultActiveUI | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 31 of file SystemConfiguration.php.

SystemConfiguration::DefaultCharacterSet | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 33 of file SystemConfiguration.php.

SystemConfiguration::DefaultRecordsPerPage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 51 of file SystemConfiguration.php.

SystemConfiguration::DefaultSortField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 84 of file SystemConfiguration.php.

SystemConfiguration::DefaultUserPrivs | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 104 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::DescriptionField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 97 of file SystemConfiguration.php.

SystemConfiguration::DisplayLimitsByDefault | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 83 of file SystemConfiguration.php.

SystemConfiguration::EmailLineEnding | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 102 of file SystemConfiguration.php.

SystemConfiguration::FieldDisplayFolder | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 85 of file SystemConfiguration.php.

Referenced by MetadataFieldOrder\SetConfiguration().

Here is the caller graph for this function:

SystemConfiguration::FieldEditFolder | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 86 of file SystemConfiguration.php.

Referenced by MetadataFieldOrder\SetConfiguration().

Here is the caller graph for this function:

SystemConfiguration::ForumsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 37 of file SystemConfiguration.php.

SystemConfiguration::GoogleAnalyticsCode | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 82 of file SystemConfiguration.php.

SystemConfiguration::HasRegistered | ( |  | ) |

Definition at line 94 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LastRegisteredOn | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 79 of file SystemConfiguration.php.

SystemConfiguration::LegalNotice | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 50 of file SystemConfiguration.php.

SystemConfiguration::LogoAltText | ( |  | ) |

Definition at line 90 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LogoFileName | ( |  | ) |

Definition at line 89 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LogoHeight | ( |  | ) |

Definition at line 92 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::LogoWidth | ( |  | ) |

Definition at line 91 of file SystemConfiguration.php.

References DB_NOVALUE.

SystemConfiguration::MailChangeMailBody | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 29 of file SystemConfiguration.php.

SystemConfiguration::MailChangeMailSubject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 28 of file SystemConfiguration.php.

SystemConfiguration::NumAnnounceOnHomePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 48 of file SystemConfiguration.php.

SystemConfiguration::NumClassesPerBrowsePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 52 of file SystemConfiguration.php.

References DB_NOVALUE, and TopLinkString().

SystemConfiguration::NumColumnsPerBrowsePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 64 of file SystemConfiguration.php.

SystemConfiguration::NumResourcesOnHomePage | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 49 of file SystemConfiguration.php.

SystemConfiguration::OaiDateGranularity | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 69 of file SystemConfiguration.php.

SystemConfiguration::OaiEarliestDate | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 68 of file SystemConfiguration.php.

SystemConfiguration::OaiIdDomain | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 66 of file SystemConfiguration.php.

SystemConfiguration::OaiIdPrefix | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 67 of file SystemConfiguration.php.

SystemConfiguration::OAISQEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 47 of file SystemConfiguration.php.

SystemConfiguration::OkayToListSite | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 78 of file SystemConfiguration.php.

SystemConfiguration::Organization | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 75 of file SystemConfiguration.php.

SystemConfiguration::OrganizationType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 76 of file SystemConfiguration.php.

SystemConfiguration::PasswordMailBody | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 25 of file SystemConfiguration.php.

SystemConfiguration::PasswordMailSubject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 24 of file SystemConfiguration.php.

SystemConfiguration::PasswordResetMailBody | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 27 of file SystemConfiguration.php.

SystemConfiguration::PasswordResetMailSubject | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 26 of file SystemConfiguration.php.

SystemConfiguration::PortalName | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 30 of file SystemConfiguration.php.

SystemConfiguration::RecommenderDBEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 46 of file SystemConfiguration.php.

SystemConfiguration::ReleaseFlagApproved | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 44 of file SystemConfiguration.php.

SystemConfiguration::ResourceCommentsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 42 of file SystemConfiguration.php.

SystemConfiguration::ResourceLaunchesNewWindowEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 39 of file SystemConfiguration.php.

SystemConfiguration::ResourceRatingsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 41 of file SystemConfiguration.php.

SystemConfiguration::ScreenshotField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 99 of file SystemConfiguration.php.

SystemConfiguration::SearchDBEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 45 of file SystemConfiguration.php.

SystemConfiguration::SearchTermsRequired | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 34 of file SystemConfiguration.php.

SystemConfiguration::SecureLogin | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 101 of file SystemConfiguration.php.

SystemConfiguration::ShowNumResourcesEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 35 of file SystemConfiguration.php.

SystemConfiguration::SiteKeywords | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 70 of file SystemConfiguration.php.

SystemConfiguration::SiteType | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 77 of file SystemConfiguration.php.

SystemConfiguration::SystemConfiguration | ( |  | $DB = `NULL` | ) |

Definition at line 14 of file SystemConfiguration.php.

SystemConfiguration::TitleField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 96 of file SystemConfiguration.php.

SystemConfiguration::TopLinkBeginLetter | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 21 of file SystemConfiguration.php.

SystemConfiguration::TopLinkEndLetter | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 22 of file SystemConfiguration.php.

SystemConfiguration::TopLinkString | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 20 of file SystemConfiguration.php.

Referenced by NumClassesPerBrowsePage().

Here is the caller graph for this function:

SystemConfiguration::UrlField | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 98 of file SystemConfiguration.php.

SystemConfiguration::UserAgentsEnabled | ( |  | $NewValue = `DB_NOVALUE` | ) |

Definition at line 40 of file SystemConfiguration.php.

SystemConfiguration::Value | ( |  | $FieldName,
|  |  | $NewValue = `DB_NOVALUE`
| ) |  |

Definition at line 121 of file SystemConfiguration.php.

## Member Data Documentation

const SystemConfiguration::UNCHANGED_VALUE = DB_NOVALUE

UNCHANGED_VALUE used to determine if a value is unchanged.

Uses DB_NOVALUE because of its pervasive use within this class.

Definition at line 9 of file SystemConfiguration.php.

The documentation for this class was generated from the following file:

- objects/SystemConfiguration.php